from setuptools import setup

VERSION = "1.0.0"

with open("README.md", "r") as f:
    long_description = f.read()

setup(
    name="pycjson",
    version=VERSION,
    description="A rich-feature JSON parser library for Python.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    author="awolverp",
    author_email="awolverp@gmail.com",
    url="https://github.com/awolverp/pycjson",
    py_modules=["pycjson"],
    classifiers=[
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: Implementation :: CPython",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11"
    ],
    license="MIT License",
    download_url="https://github.com/awolverp/pycjson"
)
